#
# spec file for package python-django-navigation
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define mod_name django-navigation

Name:           python-%{mod_name}
Version:        0.8.1
Release:        lp150.1.3
Url:            http://bitbucket.org/neithere/django-navigation/
Summary:        Extensible breadcrumbs navigation for Django
License:        LGPL-3.0
Group:          Development/Languages/Python
Source:         %{mod_name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
Requires:       python-django >= 1.0
%if 0%{?suse_version}
%py_requires
%if 0%{?suse_version} > 1110
BuildArch:      noarch
%endif
%endif

%description
Django Navigation is a breadcrumbs navigation application for Django Web
Framework.

%prep
%setup -q -n %{mod_name}-%{version}

%build
export CFLAGS="%{optflags}"
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README
%{python_sitelib}/*

%changelog
* Mon May  9 2011 alexandre@exatati.com.br
- Update to 0.8.1:
  - Sorry, no changelog.
* Tue Apr 19 2011 alexandre@exatati.com.br
- Update to 0.8.0:
  - Sorry, no changelog.
* Thu Mar 31 2011 saschpe@suse.de
- Make sure egg-info is not packaged for older SUSE versions
* Sat Mar 19 2011 alexandre@exatati.com.br
- Update to 0.7.1.
* Thu Mar 17 2011 alexandre@exatati.com.br
- Update to 0.7.0;
- Regenerated spec file with py2pack;
- Added README file as documentation.
* Fri Jan 14 2011 alexandre@exatati.com.br
- Update to 0.6.7.
* Sat Oct  9 2010 alexandre@exatati.com.br
- Update to 0.6.5.
* Mon Oct  4 2010 alexandre@exatati.com.br
- Update to 0.5.3.
* Sat Oct  2 2010 alexandre@exatati.com.br
- Update to 0.5.2.
* Mon Apr 19 2010 alexandre@exatati.com.br
- Update to 0.5.1;
- Spec file cleaned with spec-cleaner.
* Mon Dec 14 2009 alexandre@exatati.com.br
- Update to 0.4.0.
* Fri Nov 27 2009 alexandre@exatati.com.br
- Update to 0.3.0.
* Thu Nov  5 2009 alexandre@exatati.com.br
- Update to 0.2.1.
* Tue Oct 13 2009 alexandre@exatati.com.br
- Initial package (0.1.2) for openSUSE.
